/* Pole a pointerova aritmetika
   prace s polem pomoci pointeru
   pointer jako promenna cyklu
*/


#include <stdio.h>

#define VEL 10   /* VEL - konstanta urcujici velikost pole */

void vypispoled1(double pole[], int delka) // uzivatelska funkce pro vypis pole
{
	int i;
	for (i=0;i<delka;i++)
	{
		printf("%10.2f", pole[i]);
		if ((i+1)%5==0) putchar('\n');
	}
	putchar('\n');
}

void vypispoled2(double *pole, int delka) // uzivatelska funkce pro vypis pole
{
	double *pom;
	for (pom=pole;pom<pole+delka;pom++)
	{
		printf("%10.2f", *pom);
	}
	putchar('\n');putchar('\n');
}

void vypispoled3(double pole[], int delka) // uzivatelska funkce pro vypis pole
{
	int i;
	for (i=0;i<delka;i++)
	{
		printf("%10.2f", *(pole+i));
		if ((i+1)%5==0) putchar('\n');
	}
	putchar('\n');
}


int main()
{
 double X[VEL];
 int i;

// Nacteni pole, pouzita pointerova aritmetika
 for (i=0;i<VEL;i++)
 {
	 printf("Zadej %d prvek: ", i);
	 scanf("%lf", X+i);		// nacte cislo na adresu i-teho prvku
							// ekvivalentni scanf("%lf", &X[i]);
 }

 vypispoled1(X, VEL); // vypise pole 3x (3 varianty vypisovaci funkce)
 vypispoled2(X, VEL);
 vypispoled3(X, VEL);

 vypispoled1(X, 3); // vypise prvni 3 prvky
 vypispoled1(X+2, 4); // vypise od prvku 2 celkem 4 prvky


 getchar();getchar();
 return 0;
}
